import { Mask } from '../mask-interfaces';
export declare class MaskMock implements Mask {
    maxLength: number;
    minLength: number;
    inputMode: BalProps.BalInputInputMode;
    fireI18nChange: import("vitest").Mock<any, any>;
    fireKeyDown: import("vitest").Mock<any, any>;
    fireFocus: import("vitest").Mock<any, any>;
    fireBlur: import("vitest").Mock<any, any>;
    firePaste: import("vitest").Mock<any, any>;
    fireClick: import("vitest").Mock<any, any>;
    fireValueChanged: import("vitest").Mock<any, any>;
    toParsedValue: import("vitest").Mock<any, any>;
    toFormattedValue: import("vitest").Mock<any, any>;
}
